#ifndef _ELFFILE_H_
#define _ELFFILE_H_

#include "ELF.h"

class CElfFileContainer
{
public:
				CElfFileContainer(Framework::CStream&);
	virtual		~CElfFileContainer();

	uint8*		GetFileContent() const;
#ifdef VIOPSF2_REMOVED
#else
	uint32		GetFileContentSize() const;
#endif
private:
	uint8*		m_content;
#ifdef VIOPSF2_REMOVED
#else
	uint32		m_content_size;
#endif
};

class CElfFile : protected CElfFileContainer, public CELF
{
public:
				CElfFile(Framework::CStream&);
	virtual		~CElfFile();

private:

};

#endif
